Name:           p11-kit
Version:        0.23.2
Release:        %mkrel 2
Summary:        Library for loading and sharing PKCS#11 modules
License:        BSD
URL:            http://p11-glue.freedesktop.org/p11-kit.html
Source0:        http://p11-glue.freedesktop.org/releases/p11-kit-%{version}.tar.xz
Group:          System/Libraries
#----------------------------------
BuildRequires: %{_lib}ffi-devel
BuildRequires: %{_lib}tasn1-devel
#----------------------------------
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
p11-kit provides a way to load and enumerate PKCS#11 modules, as well
as a standard configuration setup for installing PKCS#11 modules in
such a way that they're discoverable.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure2_5x --disable-static	--disable-rpath

%make


%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pkcs11/modules

mv %{buildroot}%{_sysconfdir}/pkcs11/pkcs11.conf.example %{buildroot}%{_sysconfdir}/pkcs11/pkcs11.conf

find %{buildroot} -name "*.la" -exec rm -rf {} \;

%pre
rm -f /etc/pkcs11/pkcs11.conf > /dev/null 2>&1


%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/pkcs11/pkcs11.conf
%dir %{_sysconfdir}/pkcs11
%dir %{_sysconfdir}/pkcs11/modules
%{_bindir}/*
%{_libdir}/libp11-kit.so.*
%{_libdir}/p11-kit/trust-extract-compat
%{_libdir}/pkcs11/p11-kit-trust.so
%{_datadir}/p11-kit/modules/p11-kit-trust.module
%{_libdir}/p11-kit/p11-kit-remote

%files devel
%defattr(-,root,root)
%{_includedir}/p11-kit-1/
%{_libdir}/libp11-kit.so
%{_libdir}/p11-kit-proxy.so
%{_libdir}/pkgconfig/p11-kit-1.pc
%doc %{_datadir}/gtk-doc/

%clean
rm -rf %{buildroot}

%changelog
* Mon Dec 05 2016 adrianomorselli <adrianomorselli> 0.23.2-2uplos2016
- rebuild

* Fri Jul 22 2016 bb <bb> 0.23.2-2pclos2016
- rebuild new libffi

* Mon Jan 11 2016 bb <bb> 0.23.2-1pclos2016
- update

* Sun Sep 15 2014 bb <bb> 0.20.6-1pclos2014
- update

